%define name		glibmm
%define version		2.4.5
%define rel		1
%define release		%{rel}.fc3
%define cflags		--enable-static --enable-shared

Summary:	A C++ interface for GTK2 (a GUI library for X).
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group: 		System Environment/Libraries
License: 	LGPL
URL: 		http://gtkmm.sourceforge.net
Source: 	ftp://ftp.sourceforge.net/pub/sourceforge/gtkmm/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libsigc++20 >= 2.0.0, glib2 >= 2.4.0, gtk2 >= 2.4.0, atk >= 1.6.0, pango >= 1.6.0
BuildRequires:  libsigc++20-devel >= 2.0.0, glib2-devel >= 2.4.0, atk-devel >= 1.6.0, pango-devel >= 1.6.0, gtk2-devel >= 2.4.0

%description
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package devel
Summary: Headers for developing programs that will use %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}, gtk2-devel, glib2-devel, libsigc++-devel
Requires: atk-devel, pango-devel

%description devel
This package contains the static libraries and header files needed for
developing gtkmm applications.

%prep
%setup -q

%build
%configure %{cflags}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_libdir}/*.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_libdir}/*.so.*
%{_libdir}/glibmm-2.4/

%files devel
%defattr(-, root, root)
%doc CHANGES 
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/doc/glibmm-2.4/
%{_includedir}/glibmm-2.4/
%{_datadir}/aclocal/glibmm_check_perl.m4

%changelog
* Thu Oct 28 2004 Matthew Hall <matt@ecsc.co.uk> 2.4.5-1
- 2.4.5 Release

* Tue Aug 10 2004 Matthew Hall <matt@ecsc.co.uk> 2.4.4-1
- 2.4.4 Release

* Fri Jul 02 2004 Matthew Hall <matt@ecsc.co.uk> 2.4.3-1
- 2.4.3 Release

* Tue Jun 01 2004 Matthew Hall <matt@ecsc.co.uk> 2.4.1-1
- 2.4.1 Release

* Thu Apr 15 2004 Matthew Hall <matt@ecsc.co.uk> 2.4.0-1
- 2.4.0 Release

* Fri Apr 02 2004 Matthew Hall <matt@ecsc.co.uk> 2.3.8-1
- 2.3.8 Release

* Mon Mar 15 2004 Matthew Hall <matt@ecsc.co.uk> 2.3.7-1
- 2.3.7 Release

* Fri Mar 05 2004 Matthew Hall <matt@ecsc.co.uk> 2.3.6-1
- 2.3.6 Release

* Tue Feb 17 2004 Matthew Hall <matt@ecsc.co.uk> 2.3.5-1
- 2.3.5 Release

* Thu Jan 29 2004 Matthew Hall <matt@ecsc.co.uk> 2.3.3-1
- 2.3.3 Release

* Fri Jan 09 2004 Matthew Hall <matt@ecsc.co.uk> 2.3.2-1
- New Spec File
