Name:           libsigc++
Version:        1.2.5
Release:        0.fdr.5.2
Epoch:          0
Summary:        Typesafe Signal Framework for C++.

Group:          System Environment/Libraries
License:        LGPL
URL:            http://libsigc.sourceforge.net/
Source0:        http://dl.sourceforge.net/libsigc/libsigc++-1.2.5.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  m4
BuildRequires:  doxygen
BuildRequires:  libxslt
# for multilib fix
Patch1:         libsigc++-1.2.5-pc-cflags.patch
Buildrequires:  libtool

%description
This library implements a full callback system for use in widget libraries,
abstract interfaces, and general programming. Originally part of the Gtk--
widget set, %name is now a separate library to provide for more general
use. It is the most complete library of its kind with the ablity to connect
an abstract callback to a class method, function, or function object. It
contains adaptor classes for connection of dissimilar callbacks and has an
ease of use unmatched by other C++ callback libraries.

Package gtkmm (previously gtk--), which is a C++ binding to the GTK+
library, starting with version 1.1.2, uses %name.

%package        devel
Summary:        development tools for the Typesafe Signal Framework for C++.
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       pkgconfig

%description devel
The %name-devel package contains the static libraries and header files
needed for development with %name.



%prep
%setup -q
%patch1 -p1 -b .pc-cflags



%build
aclocal -I scripts
libtoolize -c -f
automake -a -c -f
autoconf
%configure
make %{?_smp_mflags}
cd doc/manual
make
cd -



%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Clean up a temporary doc dir prior to including files from it.
rm -rf _doc ; cp -a doc _doc
find _doc -type f -name "Makefile*" -exec rm -f {} ';'
find _doc -type f -empty -exec rm -f {} ';'
find _doc -type d -empty -print0 | xargs -0r rmdir



%clean
rm -rf ${RPM_BUILD_ROOT}



%post -p /sbin/ldconfig



%postun -p /sbin/ldconfig



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB README IDEAS NEWS ChangeLog TODO
%{_libdir}/lib*.so.*


%files devel
%defattr(-,root,root,-)
%doc _doc/*
%{_libdir}/sigc++-1.2/
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/sigc++-1.2/



%changelog
* Tue Jul 13 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:1.2.5-0.fdr.5
- Don't run autogen.sh, but --force rerun autotools/libtoolize.

* Tue Jul 13 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:1.2.5-0.fdr.4
- Rerun autogen.sh for x86_64,
  patch pkgconfig template. (#1420) (Nicholas Miell)

* Sun Nov 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:1.2.5-0.fdr.3
- BuildReq libxslt.

* Thu Sep 18 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:1.2.5-0.fdr.2
- Spec patch from Michael Schwendt.
- BuildReq doxygen.
- BuildReq m4.
- devel Req pkgconfig.
- Changed path for Source0.
- Cleanup of doc directory.

* Tue Sep 16 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:1.2.5-0.fdr.1
- Initial Fedora Release..1

* Sat Nov 02 2002 Morten Brix Pedersen <morten@wtf.dk>
- Fixed RPM build with final libsigc++-1.2 release.
- Distribute pc (pkg-config) file with tarball.

* Sun Dec 31 2000 Karl E. Nelson <kenelson@sourceforge.net>
- Initial cut for 1.1

* Sat Apr 15 2000 Dmitry V. Levin <ldv@fandra.org>
- updated Url and Source fileds
- 1.0.0 stable release

* Sat Jan 22 2000 Dmitry V. Levin <ldv@fandra.org>
- filtering out -fno-rtti and -fno-exceptions options from $RPM_OPT_FLAGS
- minor install section cleanup

* Wed Jan 19 2000 Allan Rae <rae@lyx.org>
- autogen just creates configure, not runs it, so cleaned that up too.

* Wed Jan 19 2000 Dmitry V. Levin <ldv@fandra.org>
- minor attr fix
- removed unnecessary curly braces
- fixed Herbert's adjustement

* Sat Jan 15 2000 Dmitry V. Levin <ldv@fandra.org>
- minor package dependence fix

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- fixed typo of mine
- added traditional CUSTOM_RELEASE stuff
- added SMP support

* Thu Dec 23 1999 Herbert Valerio Riedel <hvr@gnu.org>
- adjusted spec file to get tests.Makefile and examples.Makefile from scripts/

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- split into three packages: %name, %name-devel and %name-examples

* Thu Aug 12 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- updated source field and merged conflicts between revisions.

* Tue Aug 10 1999 Dmitry V. Levin <ldv@fandra.org>
- updated Prefix and BuildRoot fields

* Thu Aug  5 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- made sure configure works on all alphas

* Wed Jul  7 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Added autoconf macro for sigc.

* Fri Jun 11 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Made into a .in to keep version field up to date 
- Still need to do release by hand

* Mon Jun  7 1999 Dmitry V. Levin <ldv@fandra.org>
- added Vendor and Packager fields

* Sat Jun  5 1999 Dmitry V. Levin <ldv@fandra.org>
- updated to 0.8.0

* Tue Jun  1 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
